globus_gram_protocol_constants.h(3)

NAME
globus_gram_protocol_constants.h - Protocol Constants.

SYNOPSIS

  Enumerations

enum globus_gram_protocol_error_t
enum globus_gram_protocol_job_signal_t { GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL =1, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND =2, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME =3, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY =4, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST =5, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND =6, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE =7, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE =8, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER =9, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END =10 }
enum globus_gram_protocol_job_state_t { GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING =1, GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE =2, GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED =4, GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE =8, GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED =16, GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED =32, GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN =64, GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT =128, GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL =0xFFFFF }

Detailed Description

Protocol Constants.

Author

Generated automatically by Doxygen for globus_gram_protocol from the source code.